Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2021 09:05:14 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hi,
I have done a purchase from the Splash online store on 19Nov2021 at 6:20am.
The purchase amount AED310/-  already debited from my Enbd account. The bank also confirmed this is debited to Landmark. The authorization ID of this transaction is 149864 which I got from my bank.
Kindly note that the items which I selected are still in the online basket. Hope you will immediately look into this issue and do the delivery of the ordered items. Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3400917